Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.wicket.target
Class CocoonSitemap

    java.lang.Object
      org.apache.wicket.request.target.coding.AbstractRequestTargetUrlCodingStrategy
          org.apache.cocoon.wicket.target.CocoonSitemap

All Implemented Interfaces:
  org.apache.wicket.request.target.coding.IMountableRequestTargetUrlCodingStrategy, org.apache.wicket.request.target.coding.IRequestTargetUrlCodingStrategy

    public class CocoonSitemap

extends org.apache.wicket.request.target.coding.AbstractRequestTargetUrlCodingStrategy

Constructor Summary
`CocoonSitemap(String mountPath, String sitemapPath)`

Method Summary
`org.apache.wicket.IRequestTarget` | `decode(org.apache.wicket.request.RequestParameters requestParameters)`
`CharSequence` | `encode(org.apache.wicket.IRequestTarget requestTarget)`
`boolean` | `matches(org.apache.wicket.IRequestTarget requestTarget)`

Methods inherited from class org.apache.wicket.request.target.coding.AbstractRequestTargetUrlCodingStrategy
`appendParameters, decodeParameters, getMountPath, matches, urlDecode, urlDecodePathComponent, urlDecodeQueryComponent, urlEncode, urlEncodePathComponent, urlEncodeQueryComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CocoonSitemap

    public CocoonSitemap(String mountPath,
                         String sitemapPath)

Method Detail

### decode

    public org.apache.wicket.IRequestTarget decode(org.apache.wicket.request.RequestParameters requestParameters)

### encode

    public CharSequence encode(org.apache.wicket.IRequestTarget requestTarget)

### matches

    public boolean matches(org.apache.wicket.IRequestTarget requestTarget)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.